body{
  overflow-x: hidden;
}
body.page-loading {
  margin: 0;
  height: 100%;
  overflow: hidden;
}

.splash-screen {
  display: none;
}

.page-loading .splash-screen {
  position: absolute;
  z-index: 1000;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  font-family: Inter, Helvetica, 'sans-serif';
  background-color: #f9f9f9;
  color: #5e6278;
  line-height: 1;
  font-size: 14px;
  font-weight: 400;
}

.page-loading .splash-screen span {
  color: #5e6278;
  transition: none !important;
  -webkit-font-smoothing: antialiased;
}

.page-loading .splash-screen img {
  margin-left: calc(100vw - 100%);
  margin-bottom: 30px;
  height: 30px !important;
}

html[data-bs-theme='dark'] .page-loading .splash-screen {
  background-color: #151521;
  color: #ffffff;
}

.splash-screen .dark-logo {
  display: none;
}

.splash-screen .light-logo {
  display: block;
}

html[data-bs-theme='dark'] .splash-screen .light-logo {
  display: none;
}

html[data-bs-theme='dark'] .splash-screen .dark-logo {
  display: block;
}
.splash-screen {
  /* Add any existing styles for your splash screen */
}

.loader {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
}

.loader span {
  font-size: 1.2em;
  margin-left: 10px;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

.loader:after {
  content: "";
  border: 4px solid rgba(255, 255, 255, 0.3);
  border-top: 4px solid #000;
  border-radius: 50%;
  width: 40px;
  height: 40px;
  animation: spin 1s linear infinite;
}
.slide-container {
  width: 300px;
  height: 100vh;
  overflow: hidden;
  transition: transform 0.5s ease; /* Smooth transition */
  position: fixed;
  right: -310px; /* Start off-screen to the right */
  z-index: 999;
  opacity: 0;
  transition: all linear .2s;
  background-color: #fff;
  padding: 1px;
  border-radius: 0px;
  pointer-events: none;
  top: 0px;
  box-shadow: 0 0 7px 2px #00000052;
}

.slide-container.visible {
  transform: translateX(-310px); /* Slide in from the right */
  opacity: 1;
  transition: all linear .25s;
  pointer-events: unset;
}

.slide-content {
  /* background-color: #ccc; */
  width: 100%;
  height: 100%;
  /* max-height: 350px; */
  overflow: auto;
  display: flex;
  justify-content: center;
  align-items: baseline;
  border-radius: 0px;
  /* padding: 1px; */
}
.compact-table th,
.compact-table td{
  white-space: nowrap;
}